#========================================================================================
# package      DE_EPAGES::Core::API::INet6Glue
# state        public
#----------------------------------------------------------------------------------------
# description  Include this module to enable IPv6 in LWP and other Perl modules.
#----------------------------------------------------------------------------------------
# example      use DE_EPAGES::Core::API::INet6Glue;
#========================================================================================
package DE_EPAGES::Core::API::INet6Glue;

use strict;
use DE_EPAGES::Core::API::Constants qw(PERL538);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);
BEGIN {
    if ($] < PERL538 and not $ENV{EPAGES_DISABLE_PERL_INET6GLUE} ) {
        # use old packages for old perl
        UsePackage('Net::INET6Glue::INET_is_INET6');
    }
}

1;
